%global         momorel 20

%define         name supertux
%define         realname supertux2
%define         version 0.3.3

Summary:        SuperTux is a action game like Super Mario Bros game
Name:           %{name}
Version:        %{version}
Release:        %{momorel}m%{?dist}
URL:            http://supertux.berlios.de/
Source0:        http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2 
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         supertux-0.3.3-desktop.patch
Patch1:         supertux-0.3.3-system-squirrel.patch
Patch2:		supertux-0.3.3-gcc46.patch
Patch3:         supertux-0.3.3-curl-7.21.7.patch
License:        GPLv2+
Group:          Amusements/Games
BuildRequires:  SDL-devel >= 1.2.4
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libGLU-devel
BuildRequires:  physfs-devel >= 1.0.2
BuildRequires:  openal-devel
BuildRequires:  libvorbis-devel
BuildRequires:  squirrel-devel
BuildRequires:  glew-devel >= 1.11.0
BuildRequires:  boost-devel
BuildRequires:  libcurl-devel >= 7.21.7
BuildRequires:  gettext
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  sed
Requires:       opengl-games-utils
Requires:       hicolor-icon-theme

%description
SuperTux is a jumping run like game, with strong inspiration from the
Super Mario Bros games for Nintendo.

Run and jump through multiple worlds, fighting off enemies by jumping
on them or bumping them from below.  Grabbing power-ups and other stuff
on the way.

%prep
rm -rf %{buildroot}

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .gcc46~
%patch3 -p1 -b .curl

%build
export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/squirrel"
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/squirrel"
%cmake -DINSTALL_SUBDIR_SHARE=share/supertux2 -DINSTALL_SUBDIR_BIN=bin .
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -r %{buildroot}/usr/share/doc/supertux2
ln -snf opengl-game-wrapper.sh %{buildroot}%{_bindir}/supertux2-wrapper

# Desktop file and icon stuff
desktop-file-install --vendor "" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/supertux2.desktop
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
mv %{buildroot}%{_datadir}/pixmaps/supertux.png \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
rm %{buildroot}%{_datadir}/pixmaps/supertux.xpm

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING README WHATSNEW.txt
%{_bindir}/%{realname}*
%{_datadir}/%{realname}
%{_datadir}/applications/%{realname}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Mon Aug 31 2015 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.3.3-20m)
- rebuild against glew-1.13.0

* Sun Dec  7 2014 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-19m)
- rebuild against glew-1.11.0

* Thu Oct 31 2013 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-18m)
- rebuild against glew-1.10.0

* Tue Sep 25 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.3-17m)
- we must specify version of glew to keep dependency

* Mon Sep 24 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-16m)
- rebuild for glew-1.9.0

* Sun Jul 15 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-15m)
- rebuild for boost

* Wed Jul 11 2012 Hiromasa YOSHIMTOO <y@momonga-linux.org>
- (0.3.3-14m)
- rebuild for boost 1.50.0

* Tue Mar 20 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-13m)
- rebuild for glew-1.7.0

* Sat Dec 10 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-12m)
- rebuild for boost-1.48.0

* Mon Aug 15 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-11m)
- rebuild for boost

* Mon Jul  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.3-10m)
- rebuild with curl-7.21.7

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-9m)
- rebuild for new GCC 4.6

* Mon Mar 14 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-8m)
- rebuild against boost-1.46.1

* Tue Mar 08 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-7m)
- rebuild against boost-1.46.0

* Sun Feb 06 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-6m)
- add patch for gcc46, generated by gen46patch

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-5m)
- rebuild for new GCC 4.5

* Wed Nov 03 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.3-4m)
- rebuild against boost-1.44.0

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.3-3m)
- full rebuild for mo7 release

* Tue Aug  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.3-2m)
- rebuild against physfs-1.0.2

* Sun Jul  4 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.3-1m)
- update to 0.3.3
- switch to cmake
- sync with Fedora devel

* Sat Jan 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.1-9m)
- rebuild against openal-soft-1.10.622

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.1-8m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Feb  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.1-7m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.1-6m)
- rebuild against rpm-4.6

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.1-5m)
- rebuild against openssl-0.9.8h-1m

* Sun Apr  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-4m)
- enable parallel build

* Sun Apr  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.1-3m)
- add patch for gcc43

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.1-2m)
- rebuild against gcc43

* Sun Mar  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.1-1m)
- update to 0.3.1d

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-4m)
- %%NoSource -> NoSource

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-3m)
- rebuild against libvorbis-1.2.0-1m

* Wed Jan  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-2m)
- add Require: openal
- delete unused patch

* Wed Jan  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-1m)
- update to 0.3.0
- use jam at build time
- add Requires: physfs, jam and add BuildPreReq: physfs-deval

* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-2m)
- add gcc-4.1 patch.
--Patch0: supertux-0.1.3-gcc41.patch

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (0.1.3-1m)
- initial import to Momonga Linux
